////////////////////////////////////////////
//
// Timing for cat25010 & cat25020 & cat25040
//
////////////////////////////////////////////

`ifdef v1_8__6_0
	parameter fMAX  = 1;	// Max. frequency (Mz)
	//
	//	Clock Timing
	//
	parameter tWH = 250;		// min. SCK High Time
	parameter tWL = 250;		// min. SCK LOw Time
	//
	// 	CS timing
	//
	parameter tCS = 500;		// min. CS High Time
	parameter tCSS = 500;		// min. CS Setup Time
	parameter tCSH = 500;		// min. CS HOLD Time
	//
	// 	Data In timing
	//
	parameter tSU = 50;		// min.	Data In Setup Time
	parameter tH = 50;		// min. Data In Hold Time 
	//
	// 	Data Out timing
	//
	parameter tV = 250;		// max. Output Valid from Clock Low
	parameter tHO = 0;		// min. Output HOLD time
	parameter tDIS = 250;		// max. Output Disable Time
	//
	//	HOLD timing
	//
	parameter tHD = 100;		// min. HOLD Setup Time
	parameter tCD = 100;		// min. HOLD Hold Time
	parameter tLZ = 50;		// max. HOLD to Output Low Z
	parameter tHZ = 150;		// max. HOLD to Output High Z
	//
	// 	internal 
	// max. Write Cycle Time 
	parameter tWC = 5000000;	
`endif

`ifdef v2_5__6_0
	parameter fMAX  = 5;	// Max. frequency (Mz)
	//
	//	Clock Timing
	//
	parameter tWH = 75;		// min. SCK High Time
	parameter tWL = 75;		// min. SCK LOw Time
	//
	// 	CS timing
	//
	parameter tCS = 100;		// min. CS High Time
	parameter tCSS = 100;		// min. CS Setup Time
	parameter tCSH = 100;		// min. CS HOLD Time
	//
	// 	Data In timing
	//
	parameter tSU = 20;		// min.	Data In Setup Time
	parameter tH = 20;		// min. Data In Hold Time 
	//
	// 	Data Out timing
	//
	parameter tV = 75;		// max. Output Valid from Clock Low
	parameter tHO = 0;		// min. Output HOLD time
	parameter tDIS = 75;		// max. Output Disable Time
	//
	//	HOLD timing
	//
	parameter tHD = 40;		// min. HOLD Setup Time
	parameter tCD = 40;		// min. HOLD Hold Time
	parameter tLZ = 50;		// max. HOLD to Output Low Z
	parameter tHZ = 50;		// max. HOLD to Output High Z
	//
	// 	internal 
	// max. Write Cycle Time 
	parameter tWC =5000000;	
`endif

`ifdef v4_5__5_5
	parameter fMAX  = 10;	// Max. frequency (Mz)
	//
	//	Clock Timing
	//
	parameter tWH = 40;		// min. SCK High Time
	parameter tWL = 40;		// min. SCK LOw Time
	//
	// 	CS timing
	//
	parameter tCS = 100;		// min. CS High Time
	parameter tCSS = 100;		// min. CS Setup Time
	parameter tCSH = 100;		// min. CS HOLD Time
	//
	// 	Data In timing
	//
	parameter tSU = 20;		// min.	Data In Setup Time
	parameter tH = 20;		// min. Data In Hold Time 
	//
	// 	Data Out timing
	//
	parameter tV = 40;		// max. Output Valid from Clock Low
	parameter tHO = 0;		// min. Output HOLD time
	parameter tDIS = 75;		// max. Output Disable Time
	//
	//	HOLD timing
	//
	parameter tHD = 40;		// min. HOLD Setup Time
	parameter tCD = 40;		// min. HOLD Hold Time
	parameter tLZ = 50;		// max. HOLD to Output Low Z
	parameter tHZ = 50;		// max. HOLD to Output High Z
	//
	// 	internal 
	// max. Write Cycle Time 
	parameter tWC = 5000000;	
`endif
