`timescale 1ns/1ns
module test_00_11();
reg WPTST,HOLDTST;
//===================== MASTER PARAMETERS DEFINING ===============
//
//	 SPI mode
//
defparam m.mode = 2'b00;
////  defparam m.mode = 2'b11;
//
//	Clock frequency
//
defparam m.frequency = 1000000;	// clock frequency (in Hz) 
//
//	Timing (uncomment and specify the desired times used by master
//	when they differ from the default ones (which are that of datasheets))
//
// 	CS timing
//
//defparam m.tCS = 200;	// CS High Time  	
//defparam m.tCSS = 1000;	// CS Setup Time 	
//defparam m.tCSH = 1000;	// CS HOLD Time	 	
//
// 	Data In timing 
//
//defparam m.tSU = 10;		// Data In Setup Time  	
//defparam m.tH = 30;		// Data In Hold Time   	
//
// 	Data Out timing 
//
//defparam m.tV = 250;		// Data Out Setup Time  	
//defparam m.tHO = 0;		// Data Out Hold Time  
// 	
//===================== SLAVE PARAMETERS DEFINING ===============
//
//	Internal writing timing
//
defparam s.tWC = 250;

//====================	PROTOCOL MODULES INSTANTIATION =============
//
SPIslave0011 s(CSB,HOLDS,SCK,SI,SO,WP);
SPImaster m(SI,SO,SCK,CSB,WPTST,WP,HOLDTST,HOLDS);
initial
	begin
	HOLDTST = 1;
	WPTST = 1;
	//#3200 HOLDTST = 0;		// when SCK = 0
	//#2000 HOLDTST = 1;		// when SCK = 0
	//#1813300 WPTST = 0;
	//#500 WPTST = 1;
	end
endmodule 
